gr::radar::ofdm_cyclic_prefix_remover_cvc_impl Class Reference

`#include <ofdm_cyclic_prefix_remover_cvc_impl.h>`

Inheritance diagram for gr::radar::ofdm_cyclic_prefix_remover_cvc_impl:

## Public Member Functions

| ofdm_cyclic_prefix_remover_cvc_impl (int fft_len, int cp_len, std::string len_key)
| ~ofdm_cyclic_prefix_remover_cvc_impl ()
int | work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Public Attributes

int | d_fft_len
int | d_cp_len
std::vector< tag_t > | d_tags

## Protected Member Functions

int | calculate_output_stream_length (const gr_vector_int &ninput_items)

## Additional Inherited Members

Public Types inherited from gr::radar::ofdm_cyclic_prefix_remover_cvc
typedef std::shared_ptr< ofdm_cyclic_prefix_remover_cvc > | sptr
Static Public Member Functions inherited from gr::radar::ofdm_cyclic_prefix_remover_cvc
static sptr | make (int fft_len, int cp_len, std::string len_key="packet_len")
| Return a shared_ptr to a new instance of radar::ofdm_cyclic_prefix_remover_cvc.

## Constructor & Destructor Documentation

## ofdm_cyclic_prefix_remover_cvc_impl()

gr::radar::ofdm_cyclic_prefix_remover_cvc_impl::ofdm_cyclic_prefix_remover_cvc_impl | ( | int | fft_len,
|  | int | cp_len,
|  | std::string | len_key )

## ~ofdm_cyclic_prefix_remover_cvc_impl()

gr::radar::ofdm_cyclic_prefix_remover_cvc_impl::~ofdm_cyclic_prefix_remover_cvc_impl | ( |  | ) |

## Member Function Documentation

## calculate_output_stream_length()

int gr::radar::ofdm_cyclic_prefix_remover_cvc_impl::calculate_output_stream_length | ( | const gr_vector_int & | ninput_items | ) |

protected

## work()

int gr::radar::ofdm_cyclic_prefix_remover_cvc_impl::work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Member Data Documentation

## d_cp_len

int gr::radar::ofdm_cyclic_prefix_remover_cvc_impl::d_cp_len

## d_fft_len

int gr::radar::ofdm_cyclic_prefix_remover_cvc_impl::d_fft_len

## d_tags

std::vector<tag_t> gr::radar::ofdm_cyclic_prefix_remover_cvc_impl::d_tags

The documentation for this class was generated from the following file:

- ofdm_cyclic_prefix_remover_cvc_impl.h